Bug 596315 - device assignment truncates MSIX table size
Summary: device assignment truncates MSIX table size
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: qemu-kvm
Version: 6.0
Hardware: All
OS: Linux
low
medium
Target Milestone: rc
: ---
Assignee: Alex Williamson
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-26 15:19 UTC by Alex Williamson
Modified: 2010-11-11 19:30 UTC (History)
4 users (show)

Fixed In Version: qemu-kvm-0.12.1.2-2.72.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-07-02 03:27:04 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Alex Williamson 2010-05-26 15:19:11 UTC
Description of problem:
device assignment code truncates the top byte of the MSIX table size when setting up capabilities for the guest.

Version-Release number of selected component (if applicable):
qemu-kvm-0.12.1.2-2.52.el6.x86_64

How reproducible:
always

Steps to Reproduce:
1. obvious coding error
2.
3.
  
Actual results:
won't see more than 256 MSIX vectors

Expected results:
match actual hw

Additional info:

Comment 1 Alex Williamson 2010-05-26 15:20:47 UTC
Patch posted upstream:

http://www.spinics.net/lists/kvm/msg35443.html

Comment 3 RHEL Program Management 2010-05-26 17:06:47 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.

Comment 6 Qunfang Zhang 2010-06-12 08:40:07 UTC
Hi, Alax

Could you tell me how to verify this bug?

Thanks

Comment 7 Alex Williamson 2010-06-15 00:37:35 UTC
(In reply to comment #6)
> Hi, Alax
> 
> Could you tell me how to verify this bug?

This issue was found by code review, so it may be difficult to actually test the boundary condition.  You'd need a device that supported more than 256 vectors in it's MSIX table.  I think it should be sufficient to verify there's no regression by testing a device that supports MSIX interrupts as an assigned device.


Note You need to log in before you can comment on or make changes to this bug.